Bug 552943 - %post scripts starts httpd
Summary: %post scripts starts httpd
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mantis
Version: 12
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Gianluca Sforna
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-01-06 15:52 UTC by Mads Kiilerich
Modified: 2010-04-19 23:24 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2010-01-19 00:58:58 UTC


Attachments (Terms of Use)

Description Mads Kiilerich 2010-01-06 15:52:29 UTC
Description of problem:

[root@localhost ~]# service httpd status
httpd is stopped
[root@localhost ~]# rpm -e mantis-config-httpd mantis
httpd: Could not reliably determine the server's fully qualified domain name, using localhost.localdomain for ServerName
httpd not running, trying to start
[root@localhost ~]# service httpd status
httpd (pid  25927) is running...

It is not OK that package installation/removal starts such a (network) service.


http://fedoraproject.org/wiki/Packaging/SysVInitScript#InitscriptScriptlets
or just 
/sbin/service httpd condrestart > /dev/null 2>&1 || :


Version-Release number of selected component (if applicable):

mantis-1.1.8-1.fc11.noarch.rpm
mantis-config-httpd-1.1.8-1.fc11.noarch.rpm

Comment 1 Gianluca Sforna 2010-01-07 00:47:50 UTC
I checked other similar packages and it seems the common practice is to avoid touching the running webserver process, leaving the restart duty to the sysadmin.

I think I'll do the same here.

Comment 2 Mads Kiilerich 2010-01-07 01:12:28 UTC
Reconsidering it I realize that an unconditional condrestart is too intrusive - and that packages that does that should be fixed. A reload seems like the best compromise.

But yes; essential packages such as php or mod_python also does nothing to reload httpd, so I guess I agree that that would be the best solution for mantis too.

(btw: The dependency between mantis and mantis-config-httpd confuses me. It seems to go in the wrong direction. Why should anyone want mantis-config-httpd without mantis? And if mantis always requires mantis-config-httpd then why this splitup in two packages? mantis.conf is essential, but in no way controversial or customized for a special purpose. And "all" other packages seems to have their .conf file in the main package.)

Comment 3 Gianluca Sforna 2010-01-07 08:59:20 UTC
(In reply to comment #2)
> (btw: The dependency between mantis and mantis-config-httpd confuses me. It
> seems to go in the wrong direction. Why should anyone want mantis-config-httpd
> without mantis? And if mantis always requires mantis-config-httpd then why this
> splitup in two packages? mantis.conf is essential, but in no way controversial
> or customized for a special purpose. And "all" other packages seems to have
> their .conf file in the main package.)  

I think the idea was (the split is something I inherited from the former maintainer) to allow installation with different web server daemons. Note the main package does _not_ require mantis-config-httpd, but mantis-config (which is provided by mantis-config-httpd).

For instance, we could provide another configuration file for lighttpd in a "mantis-config-lighttpd" package and the user could choose which one to install along with mantis.

Comment 4 Mads Kiilerich 2010-01-07 11:21:36 UTC
Ok, I see. AFAICS no other Fedora packages has separate config packages for other web servers for this reason, though, so this is a bit unexpected.

But still: The config file references files/directories in the mantis package, so there should be a requirement in that direction. And the mantis package doesn't reference or strictly require a config. Installing a (the) config package is recommended and probably what the user wants to do.

A reasonable use-case is that someone wants to run mantis in a virtualhost and thus can't/won't use the mantis config directly. Not installing the config file is currently not possible without breaking dependencies (or using other hacks). The simplest solution for the admin would be to install the config package and comment out the content of the config file - but then why have a separate config package at all?

- sorry for hijacking my own issue and changing the topic ... ;-)

Comment 5 Gianluca Sforna 2010-01-17 16:32:42 UTC
So, I think I can agree on removing the -config package, it surely did not help me in the past (and apperently not even you...)

However, I don't think I'm doing this with a regular update in F11 or F12, so I'll just make sure the F13 package (which is probably going to be based on mantis 1.2 if upstream manages to release it soon enough) obsoletes mantis-config-httpd 1.1.8.

In the meanwhile, I'm preparing updates for this issue

Comment 6 Fedora Update System 2010-01-17 16:41:13 UTC
mantis-1.1.8-3.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/mantis-1.1.8-3.fc12

Comment 7 Fedora Update System 2010-01-17 17:01:48 UTC
mantis-1.1.8-3.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/mantis-1.1.8-3.fc11

Comment 8 Fedora Update System 2010-01-19 00:58:52 UTC
mantis-1.1.8-3.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2010-01-19 00:59:33 UTC
mantis-1.1.8-3.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2010-03-28 21:58:19 UTC
mantis-1.1.8-3.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/mantis-1.1.8-3.el5

Comment 11 Fedora Update System 2010-04-19 23:24:05 UTC
mantis-1.1.8-3.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.